> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbasalt.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe Prompt

> Describe a prompt by its slug



## OpenAPI

````yaml GET /prompts/{slug}/describe
openapi: 3.1.0
info:
  title: Basalt API
  description: Basalt API
  version: 0.2.1
servers:
  - url: https://api.getbasalt.ai
    description: Basalt Endpoint API
security:
  - bearerAuth: []
paths:
  /prompts/{slug}/describe:
    get:
      summary: Describe a prompt by its slug
      description: Describe a prompt by its slug
      parameters:
        - schema:
            type: string
            description: The slug of the prompt to describe
            example: my-slug
          required: true
          name: slug
          in: path
        - schema:
            type: string
            description: The version to filter prompts by
            example: 1.0.0
          required: false
          name: version
          in: query
        - schema:
            type: string
            description: The tag to filter prompts by
            example: latest
          required: false
          name: tag
          in: query
      responses:
        '200':
          description: The prompt with all its parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  warning:
                    type: string
                    description: A warning message
                  prompt:
                    type: object
                    properties:
                      slug:
                        type:
                          - string
                          - 'null'
                        description: The slug of the prompt
                        example: my-slug
                      name:
                        type: string
                        description: The name of the prompt
                        example: My Prompt
                      status:
                        type: string
                        enum:
                          - live
                          - draft
                        description: The status of the prompt
                        example: live
                      description:
                        type:
                          - string
                          - 'null'
                        description: The description of the prompt
                        example: This is a description of the prompt
                      availableVersions:
                        type: array
                        items:
                          type: string
                        description: The versions of the prompt
                        example:
                          - 1.0.0
                          - 1.0.1
                      availableTags:
                        type: array
                        items:
                          type: string
                        description: The tags of the prompt
                        example:
                          - latest
                          - production
                          - staging
                      variables:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: The label of the variable
                              example: Name
                            type:
                              type: string
                              description: The type of the variable
                              example: string
                            description:
                              type: string
                              description: The description of the variable
                              example: This is a description of the variable
                          required:
                            - label
                            - type
                    required:
                      - name
                      - status
                      - availableVersions
                      - availableTags
                      - variables
                    description: The prompt retrieved
                    example:
                      slug: my-slug
                      name: My Prompt
                      status: live
                      description: This is a description of the prompt
                      availableVersions:
                        - 1.0.0
                        - 1.0.1
                      availableTags:
                        - latest
                        - production
                        - staging
                      variables:
                        - label: Name
                          type: string
                          description: This is a description of the variable
                required:
                  - prompt
        '400':
          description: Bad Request - Invalid query parameters
        '404':
          description: Not found - No prompt found for the given slug
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````